Summary:	Atari 800 Emulator
Summary(pl.UTF-8):	Emulator Atari 800
Name:		Atari800
Version:	5.2.0
Release:	1
License:	GPL v2+
Group:		Applications/Emulators
#Source0Download: https://github.com/atari800/atari800/releases
Source0:	https://github.com/atari800/atari800/releases/download/ATARI800_5_2_0/atari800-%{version}-src.tgz
# Source0-md5:	bed6188abbe73c2ac109dc954050fd46
Source1:	%{name}-chooser
Patch0:		%{name}-romdir.patch
Patch1:		%{name}-nodisk.patch
URL:		https://atari800.github.io/
BuildRequires:	SDL-devel >= 1.2
BuildRequires:	automake
BuildRequires:	libpng-devel
BuildRequires:	readline-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fomit-frame-pointer

%description
This is Atari 800, 800XL, 130XE and 5200 emulator.

%description -l pl.UTF-8
To jest emulator Atari 800, 800XL, 130XE i 5200.

%package common
Summary:	Atari 800 Emulator - common files for SDL and X11 versions
Summary(pl.UTF-8):	Emulator Atari 800 - pliki wspólne dla wersji SDL oraz X11
Group:		Applications/Emulators
Suggests:	Atari800-rom
Obsoletes:	Atari800 < 1.0.7

%description common
This is Atari 800, 800XL, 130XE and 5200 emulator.

This package contains common files for both SDL and X11 versions
of Atari800.

%description common -l pl.UTF-8
To jest emulator Atari 800, 800XL, 130XE i 5200.

Ten pakiet zawiera pliki wspólne dla wersji działających pod SDL
oraz X11.

%package x11
Summary:	Atari 800 Emulator - X Window version
Summary(pl.UTF-8):	Emulator Atari 800 - wersja dla systemu X Window
Group:		Applications/Emulators
Requires:	%{name}-common = %{version}-%{release}

%description x11
This is Atari 800, 800XL, 130XE and 5200 emulator.

This package contains Atari800 executable file configured for X11 with
OSS sound and joystick support.

%description x11 -l pl.UTF-8
To jest emulator Atari 800, 800XL, 130XE i 5200.

Ten pakiet zawiera wykonywalny plik emulatora skonfigurowany dla X11 z
obsługą dźwięku OSS i joysticka.

%package SDL
Summary:	Atari 800 Emulator - SDL version
Summary(pl.UTF-8):	Emulator Atari 800 - wersja SDL
Group:		Applications/Emulators
Requires:	%{name}-common = %{version}-%{release}
Obsoletes:	Atari800-svga < 2.1.0

%description SDL
This is Atari 800, 800XL, 130XE and 5200 emulator.

This package contains Atari800 executable file configured for SDL with
sound and joystick support.

%description SDL -l pl.UTF-8
To jest emulator Atari 800, 800XL, 130XE i 5200.

Ten pakiet zawiera wykonywalny plik emulatora skonfigurowany dla SDL z
obsługą dźwięku i joysticka.

%prep
%setup -q -n atari800-%{version}
#%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.sub .

%configure \
	--target=default \
	--enable-crashmenu \
	--disable-silent-rules \
	--disable-stereosound \
	--with-sound=sdl \
	--with-video=sdl

%{__make}

%{__mv} src/atari800 atari800-SDL

%{__make} clean

%configure \
	--target=x11-shm \
	--enable-crashmenu \
	--disable-silent-rules \
	--disable-stereosound \
	--with-sound=oss \
	--with-video=yes

%{__make}

%{__mv} src/atari800 atari800-x11

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/atari800,%{_mandir}/man1}

install atari800-x11 $RPM_BUILD_ROOT%{_bindir}
install atari800-SDL $RPM_BUILD_ROOT%{_bindir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/atari800
cp -p src/atari800.man $RPM_BUILD_ROOT%{_mandir}/man1/atari800.1

%clean
rm -rf $RPM_BUILD_ROOT

%files common
%defattr(644,root,root,755)
%doc DOC/{BUGS,CREDITS,ChangeLog,FAQ,NEWS,README,TODO,USAGE,*.txt} README.TXT
%attr(755,root,root) %{_bindir}/atari800
%dir %{_datadir}/atari800
%{_mandir}/man1/atari800.1*

%files x11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/atari800-x11

%files SDL
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/atari800-SDL
%changelog
* Sat Jul 27 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/Atari800.git;a=log;h=master

* Wed Mar 20 2024 Łukasz Maśko <lmasko@pld-linux.org> c230521
- Up to 5.2.0.

* Wed Jun 08 2022 Łukasz Maśko <lmasko@pld-linux.org> 3164ff9
- New version: 5.0.0.

* Thu Jan 14 2021 Jakub Bogusz <qboosh@pld-linux.org> cd06230
- added nodisk patch (make disk change detection work)

* Wed Jan 13 2021 Jakub Bogusz <qboosh@pld-linux.org> b5c8cf1
- added romdir patch (don't scan PWD and /usr/bin, just /usr/share/atari800 and ~/.atari800)
- BR: libpng-devel, readline-devel

* Wed Jan 13 2021 Jakub Bogusz <qboosh@pld-linux.org> f2116da
- Atari800 now contains AltirraOS ROMs, so original ROMs are optional (but suggested, many software requires them)
- versioned Obsoletes

* Tue Jan 12 2021 Jakub Bogusz <qboosh@pld-linux.org> e33b8bd
- updated to 4.2.0

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 015fef1
- release 3 (by relup.sh)

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 303c597
- release 2 (by relup.sh)

* Fri Jul 27 2018 Łukasz Maśko <lmasko@pld-linux.org> 56ebf01
- Up to 4.0.0.

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 2014cdf
- rebuild with readline 7.0
- release 2 (by relup.sh)

* Sat Nov 07 2015 Jakub Bogusz <qboosh@pld-linux.org> ac60299
- updated to 3.1.0

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b37abd3
- release 3 (by relup.sh)

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a9282d3
- release 2

* Sat May 28 2011 Jakub Bogusz <qboosh@pld-linux.org> 0d68c21
- dropped svga target

* Sat May 28 2011 Jakub Bogusz <qboosh@pld-linux.org> e54121e
- updated to 2.2.1
- svgalib support dropped upstream; SDL version obsoletes svga now

* Tue Jul 17 2007 Jakub Bogusz <qboosh@pld-linux.org> 94430e7
- updated to 2.0.3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ad763a7
- tabs in preamle

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a1f0513
- converted to UTF-8

* Mon Nov 13 2006 sparky <sparky@pld-linux.org> e78a259
- don't use %{without ...}, it may not work after inverting bcond

* Sun Apr 23 2006 Jakub Bogusz <qboosh@pld-linux.org> c283af3
- updated to 2.0.2, modular xorg

